Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.store
Class DocumentRegistry

    java.lang.Object
      org.apache.ode.store.DocumentRegistry

    public class DocumentRegistry

extends java.lang.Object

A parsed collection of WSDL definitions, including BPEL-specific extensions.

Constructor Summary
`DocumentRegistry()`

Method Summary
`void` | `addDefinition(Definition4BPEL def)` Adds a WSDL definition for use in resolving MessageType, PortType, Operation and BPEL properties and property aliases
`Definition4BPEL` | `getDefinition(javax.xml.namespace.QName serviceName)` Obtains an WSDL definition based on its target namespace.
`Definition4BPEL` | `getDefinitionForPortType(javax.xml.namespace.QName serviceName)` Obtains an WSDL definition based on its target namespace.
`Definition4BPEL[]` | `getDefinitions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentRegistry

    public DocumentRegistry()

Method Detail

### getDefinition

    public Definition4BPEL getDefinition(javax.xml.namespace.QName serviceName)

  Obtains an WSDL definition based on its target namespace.

  Parameters:
    `serviceName` -
  Returns:
    WSDL definition or `null` if unavailable.

### getDefinitionForPortType

    public Definition4BPEL getDefinitionForPortType(javax.xml.namespace.QName serviceName)

  Obtains an WSDL definition based on its target namespace.

  Parameters:
    `serviceName` -
  Returns:
    WSDL definition or `null` if unavailable.

### getDefinitions

    public Definition4BPEL[] getDefinitions()

### addDefinition

    public void addDefinition(Definition4BPEL def)
                       throws CompilationException

  Adds a WSDL definition for use in resolving MessageType, PortType, Operation and BPEL properties and property aliases

  Parameters:
    `def` - WSDL definition
  Throws:
    `CompilationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD